Eclipse Platform Release 3.7

## org.eclipse.core.runtime.preferences
Interface IEclipsePreferences.IPreferenceChangeListener

Enclosing interface:
  IEclipsePreferences

    public static interface IEclipsePreferences.IPreferenceChangeListener

A listener used to receive changes to preference values in the preference store.

Clients may implement this interface.

Since:
  3.0

Method Summary
`void` `preferenceChange(IEclipsePreferences.PreferenceChangeEvent event)` Notification that a preference value has changed in the preference store.

Method Detail

### preferenceChange

    void preferenceChange(IEclipsePreferences.PreferenceChangeEvent event)

  Notification that a preference value has changed in the preference store. The given event object describes the change details and must not be `null`.

  Parameters:
    `event` - the event details
  See Also:
    `IEclipsePreferences.PreferenceChangeEvent`, `IEclipsePreferences.addPreferenceChangeListener(IEclipsePreferences.IPreferenceChangeListener)`, `IEclipsePreferences.removePreferenceChangeListener(IEclipsePreferences.IPreferenceChangeListener)`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.